ch.qos.logback.core

## Class LifeCycleManager

- java.lang.Object
- - ch.qos.logback.core.LifeCycleManager

    public class LifeCycleManager
    extends Object

An object that manages a collection of components that implement the `LifeCycle` interface. Each component that is added to the manager will be stopped and removed from the manager when the manager is reset.

Author:
  Carl Harris

### Constructor Summary

Constructors
Constructor and Description
`LifeCycleManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `register(LifeCycle component)` Registers a component with this manager.
`void` `reset()` Resets this manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LifeCycleManager

    public LifeCycleManager()

### Method Detail

#### register

    public void register(LifeCycle component)

Registers a component with this manager.

Parameters:
  `component` - the component whose life cycle is to be managed

#### reset

    public void reset()

Resets this manager.

All registered components are stopped and removed from the manager.